// Persistence of Vision Ray Tracer Scene Description File
// File: child.pov
// Vers: 3.02 Watcom Win32
// Desc: Child on couch under blanket
// Date: August 31, 1997
// Auth: Sonya Roberts
// Note: 

// Hand
object {
	blob {
		threshold .65
		sphere {<-.23,-.32,0>,.43,1	scale <1.95,1.05,.8>}	// Palm
		sphere {<.12,-.41,0>,.43,1	scale <1.95,1.075,.8>}
		sphere {<0,-.35,-.1>,.3,-1	scale <2,1,.5>}
		sphere {<-.23,-.63,0>,.45,.75	scale <1.78, 1.3,1>}	// Middle of hand
		sphere {<.19,-.63,0>,.45,.75	scale <1.78, 1.3,1>}
		sphere {<-.22,-.73,0>,.45,.85	scale <1.4, 1.25,1>}	// Heel of hand
		sphere {<.19,-.73,0>,.45,.85	scale <1.4, 1.25,1>}
		cylinder {<-.65,-.28,0>,<-.7,.28,-.075>,.26,1}		// Pinky Finger
		sphere {<-.7,.28,-.075>,.26,-.75}
		cylinder {<-.7,.28,-.075>,<-.75,.68,-.3>,.26,1}
		sphere {<-.75,.68,-.3>,.2,1}
		cylinder {<-.3,-.28,0>,<-.325,.44,-.075>,.26,1}		// Ring Finger
		sphere {<-.325,.44,-.075>,.26,-.75}
		cylinder {<-.325,.44,-.075>,<-.35,.9,-.325>,.26,1}
		sphere {<-.35,.9,-.325>,.2,1}
		cylinder {<.05,-.28,0>,<.05,.49,-.075>,.26,1}		// Middle Finger
		sphere {<.05,.49,-.075>,.26,-.75}
		cylinder {<.05,.49,-.075>,<.05,.95,-.35>,.26,1}
		sphere {<.05,.95,-.35>,.2,1}
		cylinder {<.4,-.4,0>,<.425,.512,-.075>,.26,1}		// Index Finger
		sphere {<.425,.512,-.075>,.26,-.75}
		cylinder {<.425,.512,-.075>,<.45, .85,-.375>,.26,1}
		sphere {<.45, .85,-.375>,.2,1}
		cylinder {<.41,-.95,0>,<.85,-.68,-.05>,.25,1}		// Thumb
		sphere {<.85,-.68,-.05>,.26,-.75}
		cylinder {<.85,-.68,-.05>,<1,-.3,-.2>,.25,1}
		sphere {<1,-.3,-.2>,.2,1}
	}
	pigment {color Flesh*.95}
	scale <.125,.125,.125>
	rotate x*-90
	rotate y*-85
	translate <.8,1.05,.2>
}

// Head
object {
	union {
		blob {
			threshold .65
			sphere {<0,0,0>,.85,1	scale <1.2,1.75,1>	translate <0,.4,0>}	// Head
			sphere {<0,.65,.25>,.85,1}						// Back of Skull
			sphere {<-.2,.275,-.3>,.325,.5}						// Cheeks
			sphere {<.2,.275,-.3>,.325,.5}
			sphere {<0,.125,-.35>,.35,.5}						// Chin
			sphere {<0,-.025,-.5>,.35,.5}
			cylinder {<0,-.05,0>,<0,.05,0>,.325,1	scale <.5,.1,1>	rotate x*10	translate <0,.05,-.375>	pigment {color Scarlet}}	// Lips
			cylinder {<0,-.05,0>,<0,.05,0>,.325,1	scale <.5,.1,1>	rotate x*-5	translate <0,.05,-.375>	pigment {color Scarlet}}
			cylinder {<0,.55,-.4>,<0,.3,-.55>,.1,1}					// Nose
			sphere {<0,0,0>,.1,1	scale <2,1,1>	translate <0,.3,-.55>}
			sphere {<0,0,0>,.16,-1	scale <1.75,1.25,.5>	rotate y*5	translate <-.16,.575,-.4>}	// Eye Sockets
			sphere {<0,0,0>,.16,-1	scale <1.75,1.25,.5>	rotate y*-5	translate <.16,.575,-.4>}
			sphere {<-.175,.575,-.35>,.075,-1}					// Holes for Eyeballs
			sphere {<.175,.575,-.35>,.075,-1}
			cylinder {<-.025,0,0>,<.025,0,0>,.2,1	scale <.25,1.5,.8>	rotate <10,-8,12>	translate <-.575,.5,.05>}	// Ears
			cylinder {<-.025,0,0>,<.025,0,0>,.2,1	scale <.25,1.5,.8>	rotate <10,8,-12>	translate <.575,.5,.05>}
		}
		object {sphere {<0,0,0>,.075	scale <1.5,1,.75>	translate <-.175,.575,-.35>}}
		object {sphere {<0,0,0>,.075	scale <1.5,1,.75>	translate <.175,.575,-.35>}}
		object {sphere {<0,.7,.3>,.675	pigment {color Copper}}}
		pigment {color Flesh*.95}
	}
	scale <.3,.3,.3>
	rotate x*5
	rotate z*-85
	translate <.725,1.175,.5>
}

 
