// Persistence of Vision Ray Tracer Scene Description File
// File: miscjunk.pov
// Vers: 3.01 Watcom Win32
// Desc: Miscellaneous Bits and Pieces of stuff
// Date: June 23, 1997
// Auth: Sonya Roberts
// Note:

#if (I_BookPile)
	#declare StackStyle=1
	#declare VariColours=False
	#declare RowLength=1.25
	#declare NumBooks=9
	#declare ExactLength=False
	#declare FillerColour=1
	#declare Titles=True
	#declare BookPile1=
	object {
		#include "Books.inc"
	}

	#declare StackStyle=1
	#declare VariColours=False
	#declare RowLength=.75
	#declare NumBooks=5
	#declare ExactLength=False
	#declare FillerColour=1
	#declare Titles=True
	#declare BookPile2=
	object {
		#include "Books.inc"
	}

	#declare StackStyle=1
	#declare VariColours=True
	#declare RowLength=1.75
	#declare NumBooks=12
	#declare ExactLength=False
	#declare FillerColour=1
	#declare Titles=True
	#declare BookPile3=
	object {
		#include "Books.inc"
	}

	#declare StackStyle=1
	#declare VariColours=True
	#declare RowLength=1.5
	#declare NumBooks=10
	#declare ExactLength=False
	#declare FillerColour=1
	#declare Titles=True
	#declare BookPile4=
	object {
		#include "Books.inc"
	}
#end


#if (I_Wyvern)
	#declare Wyvern=
	object {
		#include "wyvern.pov"
		pigment {color Red}
		finish {ambient .3	phong .3}
	}
#end

#if (I_Carpet)
	#declare Carpet=
	object {
		union {
			height_field {
				gif "carpet.gif"
				scale <6,.05,8>
				translate <0,.05,0>
			}
			box {<0,0,0>,<6,.05,8>}
		}
		pigment {
			image_map {
				tga "carpet.tga"
			}
			rotate x*90
			scale <6,1,8>
		}
		translate <-3,0,3.5>
	}
#end

#if (I_SwordStone)
	#declare Sword=
	object {
		union {
			difference {
				union {
					cylinder {<0,-1.25,0>,<0,.5,0>,.1}
					sphere {<0,0,0>,.175	scale <1,3.5,1>	translate <0,-.2,0>}
					cylinder {<0,-.2,0>,<0,.5,0>,.175}
					cylinder {<0,-.025,0>,<0,.025,0>,.175	scale <1,1,4>	translate <0,.5,0>}
					sphere {<0,-1.25,0>,.2}
				}
				sphere {<0,-1.325,0>,.225}
				texture {T_Gold_4E}
			}
			intersection {
				sphere {<0,-1.25,0>,.2}
				sphere {<0,-1.325,0>,.225}
				texture {Garnet}
			}
			difference {
				box {<-.1,0,-.2>,<.1,4,.2>}
				union {
					sphere {<0,0,-.2>,.21}
					sphere {<0,0,.2>,.21}
					scale <1,5,1>
					translate <0,4,0>
				}
				union {
					cylinder {<-.1,-.1,0>,<-.1,4.1,0>,.175}
					cylinder {<-.1,-.1,0>,<-.1,4.1,0>,.175}
					scale <1,1,1.5>
					translate <0,0,-.2>
					texture {T_Chrome_5D}
				}
				union {
					cylinder {<-.1,-.1,0>,<-.1,4.1,0>,.175}
					cylinder {<-.1,-.1,0>,<-.1,4.1,0>,.175}
					scale <1,1,1.5>
					translate <0,0,.2>
					texture {T_Chrome_5D}
				}
				union {
					box {<-.2,-1.5,-.21>,<0,.1,.21>	rotate z*-15}
					box {<.2,-1.5,-.21>,<0,.1,.21>	rotate z*15}
					translate <0,4,0>
				}
				translate <0,.5,0>
				texture {T_Chrome_1A}
			}
		}
		rotate y*60
		rotate x*160
		rotate y*-75
		translate <1,4.5,0>
		scale <.5,.5,.5>
	}


	#declare Stone=
	object {
		union {
			#include "rock1.inc"
		}
		texture {T_Stone13	finish {reflection 0	phong 0}	scale <.5,.5,.5>}
		scale <.5,.5,.5>
	}
#end

#if (I_Poster)
	#declare Poster=
	object {
		height_field {
			gif "m16.gif"
		}
		pigment {
			image_map {
				tga "m16.tga"
			}
			rotate x*90
		}
		finish {ambient .25}
		translate <-.5,0,-.5>
		scale <3,.05,4>
		rotate x*-135
		rotate y*90
		translate <4.85,4.85,7.5>
	}
#end

#if (I_Crystal=True)
	#declare CrystalBall=
	object {
		union {
			difference {
				union {
					cone {<0,0,0>,.75,<0,.5,0>,.5}
					torus {.75,.05}
					torus {.5,.05	translate <0,.5,0>}
				}
				sphere {<0,1,0>,.75}
				texture {T_Brass_2C}
			}
			sphere {<0,1.001,0>,.75	texture {T_Glass3}}
		}
	}
#end

// ---- Position Items ----
#if (I_BookPile)
	object {BookPile1			translate <3.75,0,6.5>}
	object {BookPile2	rotate y*45	translate <3.25,0,5.75>}
	object {BookPile3	rotate y*-15	translate <4,0,7.5>}
	object {BookPile4	rotate y*-55	translate <-7,0,10.5>}
#end
#if (I_Wyvern)
	object {Wyvern		rotate y*45	rotate x*-30	translate <6.5,15,100>}
#end
#if (I_Carpet)
	object {Carpet}
#end
#if (I_SwordStone)
	object {Sword		translate <-6,0,8>}
	object {Stone		translate <-6,0,8>}
#end
#if (I_Poster)
	object {Poster}
#end
#if (I_Crystal)
	object {CrystalBall	translate <1,2.9,13>}
#end
